#if defined __round_end_music_included
	#endinput
#endif

#define __round_end_music_included

public SharedPlugin __pl_round_end_music = {
    name = "round-end-music",
    file = "round_end_music.smx",
#if defined REQUIRE_PLUGIN
    required = 1,
#else
    required = 0,
#endif
};

methodmap MusicEntry < KeyValues {
	public MusicEntry() {
		return view_as<MusicEntry>(new KeyValues("music_entry"));
	}
	
	public void SetFilePath(const char[] filePath) {
		this.SetString("filepath", filePath);
	}
	public void GetFilePath(char[] buffer, int maxlen) {
		this.GetString("filepath", buffer, maxlen);
	}
	
	public void SetTitle(const char[] title) {
		this.SetString("title", title);
	}
	public void GetTitle(char[] buffer, int maxlen) {
		this.GetString("title", buffer, maxlen);
	}
	
	public void SetSource(const char[] source) {
		this.SetString("source", source);
	}
	public void GetSource(char[] buffer, int maxlen) {
		this.GetString("source", buffer, maxlen);
	}
}

typedef OnSongsRequested = function void ();

native void REM_RegisterSource(OnSongsRequested callback);

native bool REM_AddSong(MusicEntry song);

native int REM_GetActiveSongCount();